#Plane of air Elbrus
from eventAPI import *
from APIUtils import *

rtPrinceofSongs = 0
rtElbrus = 0

def fireEvent(e):
   global rtPrinceofSongs
   global rtElbrus
   rtPrinceofSongs = getTag(e, "rtPrinceofSongs")
   rtElbrus = getTag(e, "rtElbrus")
   if ((rtPrinceofSongs == 1) and (rtElbrus == 0)):
      elbrus(e)
   else:
      return 1

def elbrus(e):
   global rtElbrus
   showMessage(e, ["You find a figure hiding in the shadows of the trees"])
   showPicture(e, "Ruby_Golem")
   showMessage(e, ["It is an elemental, but not one of air.  This is a being of fire and rock.  You conclude that this is the servant of Flame of which you were told."])
   showPicture(e, "Laneraven")
   showMessage(e, ["\"Aha!  The wicked guardian has been found!", "", "\"Prepare for just punishment!\""])
   showPicture(e, "Ruby_Golem")
   showMessage(e, ["\"No!  Stay your hand.\" the being pleads.", "", "\"I do not wish to fight you.\""])
   showPicture(e, "Laneraven")
   showMessage(e, ["\"Spare you?  You who was set to guard my master's prison?  You who ignored our pleading?  You have no place within this realm, Elbrus.  Go and face your own master, coward!\""])
   showMessage(e, ["The Prince of Songs gives you a bob of his head and sings to you a song that fills you with strength.", "", "\"If it please you, drive this creature from this plane.\""])
   showPicture(e, "Ruby_Golem")
   showMessage(e, ["\"I beg you, do not send me back to Flame.  He will surely punish me for allowing Wind to be set free.  I did not interfere with the mortal beings.   I allowed them to break the prison.  I did this against Flame's will.\""])
   showPicture(e, "Laneraven")
   showMessage(e, ["You look at both the Prince of Song and Elbrus.  You are unsure of your next move.\""])
   showMessage(e, ["\"But why would you disobey when you surely knew that to do so would anger Flame?\""])
   showPicture(e, "Ruby_Golem")
   showMessage(e, ["\"It was Mountain who asked this of me.  Though I was once a being of fire, the power has left me and now I am diminished.\"", "", "\"Mountain asked that I not interfere with the mortals and it was he who orchestrated the destruction of the prison.\""])
   showPicture(e, "Laneraven")
   showMessage(e, ["The Prince of Songs flaps his wings angrily for a moment and trills a quick song.  You feel a bit relieved."])
   showMessage(e, ["\"Always does Mountain act slowly and always does he act deliberatly.\"", "", "\"Please, stay your hand mortals.  This one will be spared today.  Mountain, now acts and events are set into motion.  Why does the ponderous rock-addled fool wait so long?\""])
   showMessage(e, ["\"Know, Elbrus, that though you are spared your home is still lost to you.  You would face Flame's wrath if you were to return.  Go, and find what home you can amoungst the realms of earth.\""])
   showPicture(e, "Ruby_Golem")
   showMessage(e, ["Elbrus bows to you and leaves.", "", "Such strange creatures you have met here, yet they are not unlike those who live upon your own plane."])
   showPicture(e, "Laneraven")
   showMessage(e, ["The Prince of Songs again addresses you."])
   showMessage(e, ["\"You are welcome to stay here as you wish.  Always will I watch for you and you will be welcomed guests.\"", "", "Singing a song that gives you a welcoming feeling, the Prince of Songs again takes to the air."])
   rtElbrus = 1
   setTag(e, "rtElbrus", rtElbrus)
   return 1
